VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "CNotify"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
'programmed by ShareVB
'gestion du sujet d'un mail pour les extensions non ascii (par exe : iso-8859-1)

Option Explicit
Option Compare Text

'variables locales de stockage des valeurs de propriétés
Private mvarMail As String 'copie locale

'==================================================
'propriétés
'==================================================

Public Property Let Mail(ByVal vData As String)
'utilisé lors de l'affectation d'une valeur à la propriété, du coté gauche de l'affectation.
'Syntax: X.Mail = 5
    mvarMail = vData
End Property
Public Property Get Mail() As String
'utilisé lors de la lecture de la valeur de la propriété, du coté droit de l'instruction.
'Syntax: Debug.Print X.Mail
    Mail = mvarMail
End Property

'==================================================
'méthodes privées
'==================================================

'==================================================
'méthodes publiques
'==================================================

Public Sub Parse(szMail As String)
mvarMail = szMail
End Sub

Public Function Make() As String
Make = mvarMail
End Function

'==================================================
'constructeur
'==================================================

